/*
 * ADAPT2D : a software for automatic mesh adaptation in 2D
 *
 * AUTHOR : Manuel J. Castro Diaz(e-mail:castro@gamba.cie.uma.es)
 * ADAPTED FOR FREEFEM : Prud'homme Christophe (e-mail:prudhomm@ann.jussieu.fr) 
 *
 * this code is public domain
 * 
 * You may copy freely these files and use it for    
 * teaching or research. These or part of these may   
 * not be sold or used for a commercial purpose without
 * our consent
 * 
 * Any problems should be reported to the AUTHOR
 * at the following address : castro@gamba.cie.uma.es
 */


#include <v_t1.hxx>

void Vertice_T1::write(std::ostream& os)
{os <<"  Vertice:"<<this<<"; referencia="<<ref<<"; Coord.:"<<c\
    <<"  frontera:"<<front<<std::endl;
 os<<"Metrica:"<<std::endl<<mtr<<std::endl;
 if (t!=NIL) os<<std::endl<<"Triangulo mallado:"<<t;
 if (t0!=NIL) os<<std::endl<<"Triangulo mallado_metrica:"<<t0; 
 if (lk) os<<std::endl<<"Link:"<<lk;
 os<<std::endl<<"Interseccion:"<<inters;}

std::ostream& operator<<(std::ostream& os, Vertice_T1& pp) {pp.write(os); return os;}
