/*
 * ADAPT2D : a software for automatic mesh adaptation in 2D
 *
 * AUTHOR : Manuel J. Castro Diaz(e-mail:castro@gamba.cie.uma.es)
 * ADAPTED FOR FREEFEM : Prud'homme Christophe (e-mail:prudhomm@ann.jussieu.fr) 
 *
 * this code is public domain
 * 
 * You may copy freely these files and use it for    
 * teaching or research. These or part of these may   
 * not be sold or used for a commercial purpose without
 * our consent
 * 
 * Any problems should be reported to the AUTHOR
 * at the following address : castro@gamba.cie.uma.es
 */


#ifndef _aristaCADdlist_c
#define _aristaCADdlist_c

#include <a_cad_dl.hxx>



void Arista_CAD_dlist::write (std::ostream& os) {
  int num=0;
  num=this->num_elem();
  Arista_CAD_dlink* aux;
  aux=begin;
  os <<std::endl<< "Numero de Aristas"<<num<<std::endl;
  os << std::endl
     << "       ***** Aristas *****"<<std::endl
     << "             --------"<<std::endl;
  
  while (aux) {
    os <<aux<<" "<<(*(aux->a))<<std::endl;
    aux=aux->suc;
  }
}
std::ostream& operator<<(std::ostream& os, Arista_CAD_dlist& rrl)
{rrl.write(os); return os;}

#endif
