/*
 * ADAPT2D : a software for automatic mesh adaptation in 2D
 *
 * AUTHOR : Manuel J. Castro Diaz(e-mail:castro@gamba.cie.uma.es)
 * ADAPTED FOR FREEFEM : Prud'homme Christophe (e-mail:prudhomm@ann.jussieu.fr) 
 *
 * this code is public domain
 * 
 * You may copy freely these files and use it for    
 * teaching or research. These or part of these may   
 * not be sold or used for a commercial purpose without
 * our consent
 * 
 * Any problems should be reported to the AUTHOR
 * at the following address : castro@gamba.cie.uma.es
 */


#include <heap_ta.hxx> 

void Pila_trar::write(std::ostream& os) {
  int num;
  Pila_trar_link* aux;
  num=this->num_elem();
  os<<"Numero elementos de la Pila:"<<num<<std::endl;
  aux=cab;
  while (aux) {
    os<< "Triangulo:"<<aux->t<<". Arista:"<<aux->a<<std::endl;
    aux=aux->sig;
  }
}
std::ostream& operator<<(std::ostream& os, Pila_trar& p) {
  p.write(os); return os;}
