/*
 * ADAPT2D : a software for automatic mesh adaptation in 2D
 *
 * AUTHOR : Manuel J. Castro Diaz(e-mail:castro@gamba.cie.uma.es)
 * ADAPTED FOR FREEFEM : Prud'homme Christophe (e-mail:prudhomm@ann.jussieu.fr) 
 *
 * this code is public domain
 * 
 * You may copy freely these files and use it for    
 * teaching or research. These or part of these may   
 * not be sold or used for a commercial purpose without
 * our consent
 * 
 * Any problems should be reported to the AUTHOR
 * at the following address : castro@gamba.cie.uma.es
 */


#include <v_t0.hxx>

void Vertice_T0::write(std::ostream& os)
{os <<"  Vertice:"<<this<<"; referencia="<<ref<<"; Coord.:"<<c\
    <<"  frontera:"<<front<<std::endl;
if (t!=NIL) os<<std::endl<<"Triangulo mallado:"<<t;
if (m!=NIL) os<<std::endl<<"Metrica:"<<m;
}

std::ostream& operator<<(std::ostream& os, Vertice_T0& pp) {pp.write(os); return os;}
